package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingItembuygiftCreateactivityRequest struct {
	/*
	   创建活动请求入参     */
	Param *domain.AlibabaHmMarketingItembuygiftCreateactivityItemBuyGiftActivity `json:"param" required:"true" `
}

func (s *AlibabaHmMarketingItembuygiftCreateactivityRequest) SetParam(v domain.AlibabaHmMarketingItembuygiftCreateactivityItemBuyGiftActivity) *AlibabaHmMarketingItembuygiftCreateactivityRequest {
	s.Param = &v
	return s
}

func (req *AlibabaHmMarketingItembuygiftCreateactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaHmMarketingItembuygiftCreateactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
